> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ninjatrader.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ninjatrader.com/_mcp/server.

# Update Position Exits

POST https://demo.tradovateapi.com/v1/userAccountAutoLiq/updatepositionexits
Content-Type: application/json

Reference: https://docs.ninjatrader.com/api/rest-api-endpoints/risks/update-position-exits

## Authentication

- `Authorization` header (bearer token, required)

## Servers

- `https://demo.tradovateapi.com/v1` (Demo, default)
- `https://live.tradovateapi.com/v1` (Live)

## Request

### Body (application/json)

- `accountId` (long, required)
- `items` (list of object, required)
  - `contractId` (long, required)
  - `flattenTimestamp` (datetime, optional) — Flatten &amp; Cancel
  - `repeatInterval` (integer, optional)

## Response

### 200

UpdatePositionExitsResponse

- `userAccountPositionExits` (list of object, required)
  - `accountId` (long, required)
  - `contractId` (long, required)
  - `id` (long, optional)
  - `flattenTimestamp` (datetime, optional) — Flatten &amp; Cancel
  - `repeatInterval` (integer, optional)
- `errorText` (string, optional) — Non-empty if the request failed

## Examples

**Request**

```json
{
  "accountId": 1,
  "items": [
    {
      "contractId": 1
    }
  ]
}
```

**Response**

```json
{
  "userAccountPositionExits": [
    {
      "accountId": 1,
      "contractId": 1,
      "id": 1,
      "flattenTimestamp": "2024-01-15T09:30:00Z",
      "repeatInterval": 1
    }
  ],
  "errorText": "string"
}
```

**SDK Code**

```python
import requests

url = "https://demo.tradovateapi.com/v1/userAccountAutoLiq/updatepositionexits"

payload = {
    "accountId": 1,
    "items": [{ "contractId": 1 }]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://demo.tradovateapi.com/v1/userAccountAutoLiq/updatepositionexits';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"accountId":1,"items":[{"contractId":1}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://demo.tradovateapi.com/v1/userAccountAutoLiq/updatepositionexits"

	payload := strings.NewReader("{\n  \"accountId\": 1,\n  \"items\": [\n    {\n      \"contractId\": 1\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://demo.tradovateapi.com/v1/userAccountAutoLiq/updatepositionexits")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"accountId\": 1,\n  \"items\": [\n    {\n      \"contractId\": 1\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://demo.tradovateapi.com/v1/userAccountAutoLiq/updatepositionexits")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"accountId\": 1,\n  \"items\": [\n    {\n      \"contractId\": 1\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://demo.tradovateapi.com/v1/userAccountAutoLiq/updatepositionexits', [
  'body' => '{
  "accountId": 1,
  "items": [
    {
      "contractId": 1
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://demo.tradovateapi.com/v1/userAccountAutoLiq/updatepositionexits");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"accountId\": 1,\n  \"items\": [\n    {\n      \"contractId\": 1\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "accountId": 1,
  "items": [["contractId": 1]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://demo.tradovateapi.com/v1/userAccountAutoLiq/updatepositionexits")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```